Updating ruby gems os x

There is a lot of documentation on both, so you can just pick one that seems like you'll be more comfortable with.

If you're coming from PHP, you may already be familiar with My SQL.

(Google search for "install apple developer toolkit" for more help with that.) Once it's installed, you shouldn't run into trouble building the native binaries that some gems depend on when you try to update or install them.

All of that said, you have no reason right now to try updating all installed gems.

The Ruby source is available from a worldwide set of Mirror Sites.

I started trying to learn Ruby and Rails about two years ago, but let it fall by the wayside.

If you’re find that you’re not, you can set this manually.

If you don't already have a Github account, make sure to register. You'll probably want something more robust like My SQL or Postgre SQL.The command that Catfish gave you was which specifically will update the gem binary (which is what you invoke to install or update Ruby gems with the command 'gem').Once you've done that, you can update the Rails framework with "sudo gem update rails".I find myself with more time, more need, and more desire to learn these again... Originally posted by Catfish: Generally, you'd update gem itself using "sudo gem update --system".How do I do the following:a) check to see if they're still installed and workingb) update them to the latest versionsc) keep them updated in the future (i.e. However, IIRC, there was a problem with the Leopard install of rubygems, and you need to use the following first : Originally posted by Catfish: Generally, you'd update gem itself using "sudo gem update --system".

Search for updating ruby gems os x:

updating ruby gems os x-76updating ruby gems os x-81updating ruby gems os x-62updating ruby gems os x-73

(I myself do Ruby on Rails coding for a living, and I run off of the Ruby version preinstalled on Leopard on my MBP for my local development.) If you want to upgrade it, you'll most likely need to go through something such as Mac Ports, and you'll need to point the system executable paths away from the old installation and toward the new install for things to work properly.

Leave a Reply

Your email address will not be published. Required fields are marked *

One thought on “updating ruby gems os x”